## gnome-ponytail-daemon 0.0.11

=== meson_options.txt ===
option('systemd_user_unit_dir',
       type: 'string',
       value: '',
       description: 'systemd user service directory')
option('ponytail_python',
       type: 'boolean',
       value: true,
       description : 'build with python interface')

=== debian/changelog ===
gnome-ponytail-daemon (0.0.11-1) unstable; urgency=medium

  * Initial release. (Closes: #1088917)

 -- Sandro Knauß <hefee@debian.org>  Fri, 06 Dec 2024 13:26:48 +0100

=== debian/control ===
Source: gnome-ponytail-daemon
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               meson,
               libglib2.0-dev,
               libgio-2.0-dev,
               libei-dev,
               libxkbcommon-dev,
               systemd-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.gnome.org/ofourdan/gnome-ponytail-daemon
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-ponytail-daemon.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-ponytail-daemon

Package: gnome-ponytail-daemon
Architecture: any
Depends: python3-dbus,
         python3-gi,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: Helper daemon for dogtail on Wayland
 On X11, dogtail relies on XTest extension to generate pointer and keyboard
 events, but there is no equivalent on Wayland.
 .
 On GNOME on Wayland, however, there are the screen-cast and remote-desktop APIs
 that can be used for controlling the keyboard and pointer.
 .
 Also, Wayland does not expose global coordinates, and ATK will return local
 coordinates of the various application widgets on Wayland, this is where the
 RecordWindow method from screencast can be used, as it will translate global
 coordinates into surface relative coordinates.
 .
 Obviously, to be able to record or a given window, one needs a way to identify
 such a window, this is where the window-list API comes in.
 .
 The Introspect D-Bus API in mutter provides a way to list all toplevel windows.

=== debian/watch ===
version=4
opts="searchmode=plain, pgpmode=none" \
 https://gitlab.gnome.org/ofourdan/gnome-ponytail-daemon/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
